Debian Bug report logs - #427444
Etch / Samba server weirdness

version graph

Package: samba; Maintainer for samba is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for samba is src:samba.

Reported by: Michael Lueck <mlueck@lueckdatasystems.com>

Date: Mon, 4 Jun 2007 03:06:02 UTC

Severity: normal

Tags: moreinfo

Found in version 3.0.24-6etch2

Fixed in version 3.0.24-6etch4

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Michael Lueck <mlueck@lueckdatasystems.com>:
New Bug report received and forwarded. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Lueck <mlueck@lueckdatasystems.com>
To: submit@bugs.debian.org
Subject: Etch / Samba server weirdness
Date: Sun, 03 Jun 2007 23:04:38 -0400
Package: samba
Version: 3.0.24-6etch2

I am noticing weirdness testing Etch / Samba. Specifically:

1) Wrong / Missing Windows group memberships (domain groups, etc...)
2) Inability to use the 'net' command to assign the permission to add workstations to the domain for a special account
3) Inability to make the domain admin group printer admins with the net command

I just now booted off a HDD in the same machine loaded with Sarge, installed the 3.0.24 packages from samba.org, and following the same steps received the expected results.

Unfortunately we do not have time to look into this further as we are doing a demonstration of "Samba for Windows clients" next weekend... so defniately taking the Sarge HDD along, and planning to 
load Ubuntu Server 7.04 on the HDD currently with Debian Etch.

-- 
Michael Lueck
Lueck Data Systems
http://www.lueckdatasystems.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 427444@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Michael Lueck <mlueck@lueckdatasystems.com>, 427444@bugs.debian.org
Subject: Re: [Pkg-samba-maint] Bug#427444: Etch / Samba server weirdness
Date: Sun, 3 Jun 2007 20:38:27 -0700
On Sun, Jun 03, 2007 at 11:04:38PM -0400, Michael Lueck wrote:
> Package: samba
> Version: 3.0.24-6etch2

> I am noticing weirdness testing Etch / Samba. Specifically:

> 1) Wrong / Missing Windows group memberships (domain groups, etc...)
> 2) Inability to use the 'net' command to assign the permission to add
> workstations to the domain for a special account
> 3) Inability to make the domain admin group printer admins with the net
> command

What precise commands are you running, what does your smb.conf look like,
what errors are you getting, in what sense are your Windows group
memberships "wrong"?  You haven't given anything here that's directly
verifiable and debuggable.

> I just now booted off a HDD in the same machine loaded with Sarge,
> installed the 3.0.24 packages from samba.org, and following the same steps
> received the expected results.

The package version you reported this against is not identical to pristine
3.0.24; it includes the security fixes for CVE-2007-2444, CVE-2007-2446, and
CVE-2007-2447.  The upstream fix for CVE-2007-2446 is known to have
introduced regressions, which are unfixed in 3.0.24-6etch2 (and in 3.0.25)
and are fixed in 3.0.24-6etch4, which is still pending release by the
security team.

You can find a copy of this package for i386 at
<http://people.debian.org/~vorlon/samba/>.

> Unfortunately we do not have time to look into this further as we are
> doing a demonstration of "Samba for Windows clients" next weekend... so
> defniately taking the Sarge HDD along, and planning to load Ubuntu Server
> 7.04 on the HDD currently with Debian Etch.

So you have no intention of working with us to provide the information
needed to resolve this issue, and I should close this report as a troll
rather than a bug report from a Debian user?

If the Ubuntu package works, then you are almost certainly experiencing bug
#425680/#426002, which appears to have been corrected in the most recent
security update for Feisty and which is fixed in 3.0.24-6etch4 for etch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 427444@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Michael Lueck <mlueck@lueckdatasystems.com>, 427444@bugs.debian.org
Subject: Re: Bug#427444: Etch / Samba server weirdness
Date: Mon, 4 Jun 2007 06:40:56 +0200
[Message part 1 (text/plain, inline)]
tags 427444 moreinfo
thanks

> Unfortunately we do not have time to look into this further as we are doing 
> a demonstration of "Samba for Windows clients" next weekend... so 
> defniately taking the Sarge HDD along, and planning to load Ubuntu Server 
> 7.04 on the HDD currently with Debian Etch.


Apart from what Steve Langasek mentioned, what are the reasons that
make you believe that Ubuntu packages should work better, given
they're using the same codebase and build methods?

The vague issues you're reportng do not seem related to the recent
regressions, so I doubt they would all be fixed by samba
3.0.24-6etch4, but at least try this.

IAnd, anyway, all arguments by Steve are valid. You indeed give no
clue for us to at least try investigating the issue.

[signature.asc (application/pgp-signature, inline)]

Tags added: moreinfo Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Mon, 04 Jun 2007 06:15:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Michael Lueck <mlueck@lueckdatasystems.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 427444@bugs.debian.org (full text, mbox):

From: Michael Lueck <mlueck@lueckdatasystems.com>
To: 427444@bugs.debian.org
Subject: Re: [Pkg-samba-maint] Bug#427444: Etch / Samba server weirdness
Date: Mon, 04 Jun 2007 08:12:14 -0400
Steve Langasek wrote:
> If the Ubuntu package works, then you are almost certainly experiencing bug
> #425680/#426002, which appears to have been corrected in the most recent
> security update for Feisty and which is fixed in 3.0.24-6etch4 for etch.

Well, yawn... LONG weekend... I have not nuked the Etch HDD yet. Where can I get my hands on 3.0.24-6etch4? I was working for a while with 3.0.24-6etch1, then saw 3.0.24-6etch2 available so downloaded 
that build.

I realize the bug report is vague... LONG weekend like I said. I intend to provide step-by-step details, but if 3.0.24-6etch4 addresses the issue(s) then it is a moot point and this bug report may be 
closed with 3.0.24-6etch4 as the resolution.

hhhmmmm... I think I can upload the PDF of the slides (current as-is) for the presentation... give me a second...
(I intend to provide a zip with the scripts, etc... but I said *intend* ;-) )
http://www.lueckdatasystems.com/pub/presentations/iccm2007.pdf

Starting at page 31, there is a "brain dump" of steps to setting up a Samba PDC.
initGrps.sh seems to not take effect, or has weird results...
initLDSInst.sh and initPrintOperator.sh both fail.
And you have to attach a Windows box to the domain and logon to recreate the missing / weird group membership issues.

-- 
Michael Lueck
Lueck Data Systems
http://www.lueckdatasystems.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Michael Lueck <mlueck@lueckdatasystems.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 427444@bugs.debian.org (full text, mbox):

From: Michael Lueck <mlueck@lueckdatasystems.com>
To: 427444@bugs.debian.org
Subject: 3.0.24-6etch4 does not solve the issues
Date: Mon, 04 Jun 2007 10:49:17 -0400
I was pointed at the 3.0.24-6etch4 packages by someone:

>>
If you're affected by issues of the samba 3.0.24-6etch2 packages in
Debia (I mean packages provided by Debian), please try the following
packages which are targeted to be uploaded soon to security.debian.org
as fixes for regressions introduces by the recent security updates:

http://people.debian.org/~vorlon/samba/

These packages are signed by Steve Langasek, member of the samba
packaging team in Debian.
<<

I downloaded them, purged the *etch2 packages, installed the *etch4 packages, and quickly went through the steps on page 30 of the presentation.

After doing that, I still get the same failures as before... inability to issue the net commands as a non-root user, wrong group memberships when logging onto the domain.

Any further suggestions before I nuke this install of Etch...???

I apologize for being in a rush. With a presentation looming at the end of this week, it puts me thus into rush mode.

Thanks!

-- 
Michael Lueck
Lueck Data Systems
http://www.lueckdatasystems.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 427444@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Michael Lueck <mlueck@lueckdatasystems.com>, 427444@bugs.debian.org
Subject: Re: [Pkg-samba-maint] Bug#427444: 3.0.24-6etch4 does not solve the issues
Date: Mon, 4 Jun 2007 18:49:06 +0200
[Message part 1 (text/plain, inline)]
> After doing that, I still get the same failures as before... inability to issue the net commands as a non-root user, wrong group memberships when logging onto the domain.

What net commands do you intend to run as non-root?

What smb.conf do you use?

Can you give us details around "wrong group membership"?


Is the samba server a domain member or a domain server? If this is a
domain server, then please give details about the LDAP backend setup.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 427444@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Michael Lueck <mlueck@lueckdatasystems.com>, 427444@bugs.debian.org
Subject: Re: Bug#427444: [Pkg-samba-maint] Bug#427444: Etch / Samba server weirdness
Date: Mon, 4 Jun 2007 18:46:18 +0200
[Message part 1 (text/plain, inline)]
Quoting Michael Lueck (mlueck@lueckdatasystems.com):

> I realize the bug report is vague... LONG weekend like I said. I intend to 
> provide step-by-step details, but if 3.0.24-6etch4 addresses the issue(s) 
> then it is a moot point and this bug report may be closed with 
> 3.0.24-6etch4 as the resolution.

The, as Steve suggested, please try from:

http://people.debian.org/~vorlon/samba/


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Michael Lueck <mlueck@lueckdatasystems.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #42 received at 427444@bugs.debian.org (full text, mbox):

From: Michael Lueck <mlueck@lueckdatasystems.com>
To: 427444@bugs.debian.org
Subject: Bug confirmed NOT in Ubuntu Server 7.04
Date: Mon, 04 Jun 2007 21:53:39 -0400
I just went through a test of Ubuntu Server 7.04, and Samba performed 100% as expected.

Thus I am pondering seriously reloading Debian Etch to Ubuntu, and keeping the Debian Sarge HDD around "just in case".

I am really sorry to see Debian Etch without working Samba packages. I even downloaded 3.0.23c from backports.org and those packages fail in exactly the same way.

I am willing to reinstall Etch after this weekend.

Thanks!

-- 
Michael Lueck
Lueck Data Systems
http://www.lueckdatasystems.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #47 received at 427444@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Michael Lueck <mlueck@lueckdatasystems.com>, 427444@bugs.debian.org
Subject: Re: Bug#427444: Bug confirmed NOT in Ubuntu Server 7.04
Date: Tue, 5 Jun 2007 06:45:44 +0200
[Message part 1 (text/plain, inline)]
Quoting Michael Lueck (mlueck@lueckdatasystems.com):
> I just went through a test of Ubuntu Server 7.04, and Samba performed 100% 
> as expected.


As we're not Ubuntu experts, could you please mention us the exact
version of the samba packages in Ubuntu 7.04?

'dpkg -s samba' should do the trick.

Of course, you're aware that Ubuntu packages for samba are very
directly derived from the Debian ones?



[signature.asc (application/pgp-signature, inline)]

Tags added: moreinfo Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2007 06:45:57 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #54 received at 427444@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Michael Lueck <mlueck@lueckdatasystems.com>, 427444@bugs.debian.org
Subject: Re: Bug#427444: Bug confirmed NOT in Ubuntu Server 7.04
Date: Tue, 5 Jun 2007 06:40:37 -0700
On Mon, Jun 04, 2007 at 09:53:39PM -0400, Michael Lueck wrote:
> I just went through a test of Ubuntu Server 7.04, and Samba performed 100% 
> as expected.

> Thus I am pondering seriously reloading Debian Etch to Ubuntu, and keeping 
> the Debian Sarge HDD around "just in case".

> I am really sorry to see Debian Etch without working Samba packages. I 
> even downloaded 3.0.23c from backports.org and those packages fail in 
> exactly the same way.

> I am willing to reinstall Etch after this weekend.

I have installed samba 3.0.24-6etch4 on a clean system, configured it as a
PDC per the pdf you linked to, and run the 'net groupmap add' and 'net rpc
rights grant' commands.  They work for me without error.

$ sudo net groupmap add ntgroup="Domain Admins" unixgroup=domadmin rid=512 type=d
Successfully added group Domain Admins to the mapping db as a domain group
$ net rpc rights grant LDS-DEMO\\testuser SeMachineAccountPrivilege
Password:
$

It even works for me if I install 3.0.24-6etch2.

I think we're going to need a trimmed down test case that shows the problem.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Michael Lueck <mlueck@lueckdatasystems.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #59 received at 427444@bugs.debian.org (full text, mbox):

From: Michael Lueck <mlueck@lueckdatasystems.com>
To: Steve Langasek <vorlon@debian.org>, 427444@bugs.debian.org
Subject: Re: Bug#427444: Bug confirmed NOT in Ubuntu Server 7.04
Date: Tue, 05 Jun 2007 09:49:36 -0400
Steve Langasek wrote:
> I have installed samba 3.0.24-6etch4 on a clean system, configured it as a
> PDC per the pdf you linked to, and run the 'net groupmap add' and 'net rpc
> rights grant' commands.  They work for me without error.

Those commands in initGrps.sh do run without error. However, the last two shell scripts, run with account pianoman rather than root, fail indicating initGrps.sh did not take proper affect. Also, 
groups show up weird logging onto a Windows 2000 / XP Pro machine and issuing ifmember.exe /list.

-- 
Michael Lueck
Lueck Data Systems
http://www.lueckdatasystems.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #64 received at 427444@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Michael Lueck <mlueck@lueckdatasystems.com>
Cc: 427444@bugs.debian.org
Subject: Re: Bug#427444: Bug confirmed NOT in Ubuntu Server 7.04
Date: Tue, 5 Jun 2007 14:58:45 -0700
On Tue, Jun 05, 2007 at 09:49:36AM -0400, Michael Lueck wrote:
> Steve Langasek wrote:
> >I have installed samba 3.0.24-6etch4 on a clean system, configured it as a
> >PDC per the pdf you linked to, and run the 'net groupmap add' and 'net rpc
> >rights grant' commands.  They work for me without error.

> Those commands in initGrps.sh do run without error. However, the last two 
> shell scripts, run with account pianoman rather than root, fail indicating 
> initGrps.sh did not take proper affect.

With what error message? I don't have any errors here.  Actually, I
mis-pasted into the bug log; the command with output was:

$ net rpc rights grant LDS-DEMO\\testuser SeMachineAccountPrivilege
Password:
Successfully granted rights.
$

And this can be verified with:

$ net rpc rights list privileges SeMachineAccountPrivilege
Password:
SeMachineAccountPrivilege:
  LDS-DEMO\testuser
  BUILTIN\Administrators
$

> Also, groups show up weird logging onto a Windows 2000 / XP Pro machine
> and issuing ifmember.exe /list.

Ok, I don't have any Windows machines around that I can set up for use on
this test domain, so this part will have to wait for someone else to be able
to look at.

But for assigning permissions, I'm still not getting any error here.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Michael Lueck <mlueck@lueckdatasystems.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #69 received at 427444@bugs.debian.org (full text, mbox):

From: Michael Lueck <mlueck@lueckdatasystems.com>
To: Steve Langasek <vorlon@debian.org>, 427444@bugs.debian.org
Subject: Re: Bug#427444: Bug confirmed NOT in Ubuntu Server 7.04
Date: Tue, 05 Jun 2007 22:41:42 -0400
Steve Langasek wrote:
> With what error message? I don't have any errors here.  Actually, I
> mis-pasted into the bug log; the command with output was:
> 
> $ net rpc rights grant LDS-DEMO\\testuser SeMachineAccountPrivilege
> Password:
> Successfully granted rights.
> $

Something in the neighborhood of "Access Denied". Lead me to believe I had no Domain Admin permissions. ifmember /list output seems to support that conclusion.

Further details will have to wait at least until Wed of next week as through Tue we will be at the conference.

BTW, the build of Samba we are using on Ubuntu 7.04 is: 3.0.24-2ubuntu1.2 which is their current build.

Thanks!

-- 
Michael Lueck
Lueck Data Systems
http://www.lueckdatasystems.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #74 received at 427444@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Michael Lueck <mlueck@lueckdatasystems.com>
Cc: 427444@bugs.debian.org
Subject: Re: Bug#427444: Bug confirmed NOT in Ubuntu Server 7.04
Date: Wed, 6 Jun 2007 05:17:53 -0700
On Tue, Jun 05, 2007 at 10:41:42PM -0400, Michael Lueck wrote:
> Steve Langasek wrote:
> >With what error message? I don't have any errors here.  Actually, I
> >mis-pasted into the bug log; the command with output was:

> >$ net rpc rights grant LDS-DEMO\\testuser SeMachineAccountPrivilege
> >Password:
> >Successfully granted rights.
> >$

> Something in the neighborhood of "Access Denied". Lead me to believe I had 
> no Domain Admin permissions. ifmember /list output seems to support that 
> conclusion.

> Further details will have to wait at least until Wed of next week as 
> through Tue we will be at the conference.

> BTW, the build of Samba we are using on Ubuntu 7.04 is: 3.0.24-2ubuntu1.2 
> which is their current build.

Ok, I've looked at -2ubuntu1.2.  The Samba source in this version is
identical to that from Debian's -6etch2; that means -6etch4 actually has
/more/ fixes for the security regressions than the Ubuntu version currently
does.

I've also tested now with both amd64 and i386, and neither shows this
problem for me.

Will wait for updates from your end.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#427444; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Michael Lueck <mlueck@lueckdatasystems.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #79 received at 427444@bugs.debian.org (full text, mbox):

From: Michael Lueck <mlueck@lueckdatasystems.com>
To: 427444@bugs.debian.org
Subject: Resolved
Date: Fri, 15 Jun 2007 18:25:04 -0400
Greetings Steve-

I am pleased to announce that upon setting up another Etch box, the 6etch4_i386 packages from security.debian.org work perfectly.

So success has been found, I will not tinker with other versions of Samba packages as THESE WORK! :-)

You may close this bug report. Thanks so much!

-- 
Michael Lueck
Lueck Data Systems
http://www.lueckdatasystems.com/



Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Lueck <mlueck@lueckdatasystems.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #84 received at 427444-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Michael Lueck <mlueck@lueckdatasystems.com>, 427444-done@bugs.debian.org
Subject: Re: Bug#427444: Resolved
Date: Sat, 16 Jun 2007 22:31:53 +0100
Version: 3.0.24-6etch4

On Fri, Jun 15, 2007 at 06:25:04PM -0400, Michael Lueck wrote:
> Greetings Steve-

> I am pleased to announce that upon setting up another Etch box, the 
> 6etch4_i386 packages from security.debian.org work perfectly.

> So success has been found, I will not tinker with other versions of Samba 
> packages as THESE WORK! :-)

> You may close this bug report. Thanks so much!

Ok, closing.  Thanks for the followup.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Jul 2007 07:26:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 12:02:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.